Summary:        Python client library for OAuth 2.0
Name:           python-oauth2client
Version:        4.1.3
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/google/oauth2client
Source0:        https://github.com/google/oauth2client/archive/v%{version}.tar.gz#/oauth2client-%{version}.tar.gz
Patch3000:      docs-build-fix.patch
Patch3001:      doc-fix.patch
Patch3002:      keyring-remove.patch

BuildRequires:  python3-setuptools python3-devel
BuildRequires:  python3-fasteners python3-pytest
BuildRequires:  python3-pyasn1 >= 0.1.7 python3-pyasn1-modules >= 0.0.5

BuildArch:      noarch

%description
This module provides a python client for accessing resources protected by OAuth 2.0.

%package -n python3-oauth2client
Summary:        Python client library for OAuth 2.0
Requires:       python3-pyOpenSSL
Requires:       python3-fasteners
Provides:       python3-oauth2client = %{version}-%{release}

%description -n python3-oauth2client
This module provides a python client for accessing resources protected by OAuth 2.0.

%prep
%autosetup -p1 -n oauth2client-%{version}

# remove the version constraint on httplib2.
sed -i 's/httplib2>=0.9.1/httplib2/' setup.py

rm -f docs/source/oauth2client.contrib.appengine.rst oauth2client/appengine.py
rm oauth2client/contrib/keyring_storage.py tests/contrib/test_keyring_storage.py docs/source/oauth2client.contrib.keyring_storage.rst

find docs tests -type f \( -name '*.py' -o -name '*.py.doc' \) -exec \
    gawk '/^import mock$/ { print FILENAME; nextfile }' '{}' '+' |
  xargs -r -t sed -r -i 's/^import mock$/from unittest &/'
sed -r -i 's/\bmock.*//' tox.ini


%build
%py3_build

%install
%py3_install

%check
# ship tests eventually
rm -r $(find %{_buildrootdir} -type d -name 'tests') || /bin/true


%files -n python3-oauth2client
%license LICENSE 
%doc CHANGELOG.md CONTRIBUTING.md README.md 
%{python3_sitelib}/oauth2client
%{python3_sitelib}/oauth2client*.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Wang Guodong <gordonwwang@tencent.com> - 4.1.3-1
- package init.
